Skip to main content
GET
/
institutions
List institutions
curl --request GET \
  --url https://int-api.mx.com/institutions \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/institutions"

headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/institutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "institutions": [
    {
      "client_status": "AVAILABLE",
      "code": "mxbank",
      "created_at": "2025-02-13T18:08:00+00:00",
      "forgot_password_url": "https://example.url.mxbank.com/forgot-password",
      "forgot_username_url": "https://example.url.mxbank.com/forgot-username",
      "guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
      "instructional_text": "Some instructional text <a href=\"https://example.url.mxbank.com/instructions\" id=\"instructional_text\">for end users</a>.",
      "instructional_text_steps": [
        "Step 1: Do this.",
        "Step 2: Do that."
      ],
      "is_disabled_by_client": false,
      "is_hidden": true,
      "iso_country_code": "US",
      "medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png",
      "name": "MX Bank",
      "small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png",
      "status": "OPERATIONAL",
      "supported_products": [],
      "supports_oauth": true,
      "supports_tax_document": true,
      "trouble_signing_in_url": "https://example.url.mxbank.com/login-trouble",
      "url": "https://www.mxbank.com"
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 25,
    "total_entries": 1,
    "total_pages": 1
  }
}
Lists financial institutions available through the MX platform. This endpoint has been updated in v20250224 to enhance search and filtering capabilities based on the products supported by each institution.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Query Parameters

name
string

This will list only institutions in which the appended string appears.

iso_country_code
string[]

An array of strings that filters institutions in the widget by the specified country code. Acceptable codes include US, CA, and MX (Mexico).

include_blocked_institutions
boolean
default:false

When set to true, returns all institutions regardless of their operational status. When false or omitted, only returns institutions that are currently operational.

page
integer

Results are paginated. Specify current page.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

supported_products[]
enum<string>[]

Filters institutions that support specific products. Values may include account_verification, identity_verification, transactions, transaction_history, statements, investments.

For example, institutions that support account_verification and statements, ?supported_products[]=account_verification&supported_products[]=statements.

Available options:
account_verification,
identity_verification,
transactions,
transaction_history,
statements,
investments

Response

200 - application/json

OK

institutions
object[]
pagination
object